Get external files info
get
/api/field-service/core/v1/activities/{activityId}/externalFilesInfo/{propertyLabel}
This operation returns information about external files from the specified activity property. The property should have the type 'Attachments' configured with the 'OCI Object Storage' storage type.
Request
Path Parameters
-
activityId(required): integer
The unique identifier of the activity in Oracle Field Service.
-
propertyLabel(required): string
The label of a custom property. This custom property must be of type 'file'.
Header Parameters
-
Accept: string
The request must contain the Accept header to retrieve the file contents. The header must have either of the following:
- The actual content type (for example, application/pdf for pdf documents).
- The special value 'application/octet-stream', when you don't know the content type.
If the request doesn't have the Accept header, the response contains only the file metadata in JSON format.
Response
Supported Media Types
- application/json
200 Response
This section describes the 200 status response for this operation.
Root Schema : External Files Info
Type:
objectTitle:
External Files InfoThe collection of information about external files stored for the specified inventory property.
Show Source
-
items:
array Items
Title:
ItemsThe collection of external file information objects.
Nested Schema : Items
Type:
arrayTitle:
ItemsThe collection of external file information objects.
Show Source
-
Array of:
object External File Info Item
Title:
External File Info ItemInformation about a file stored in OCI Object Storage.
Nested Schema : External File Info Item
Type:
objectTitle:
External File Info ItemInformation about a file stored in OCI Object Storage.
Show Source
-
contentType(required):
string
Title:
Content TypeThe media type of the file (for example 'image/jpeg'). This is used by the application to properly display the file in user interface. -
fileName(required):
string
Title:
File NameFile name. -
fileSize:
integer
Title:
File SizeDefault Value:999999The size of the file in bytes. It is used only to show the size of the file in UI. Default: 999999 (unknown). -
URI(required):
string
Title:
URIStored in Object Storage file uri ('https:///path-to-file'). This is used by the application to access the file content.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
Show Source
object-
detail(required):
string
The detailed description of this error.
-
status(required):
string
The HTTP status code of this error.
-
title(required):
string
The brief description of this error.
-
type(required):
string
The URL of the web page containing more details about this error.